Download OpenAPI specification:Download
The Tour24 Client API V1 implements the Token Based Authentication generated based on a Client Identifier and an Api Key which are passed in header to return jwt and refreshtoken.
Following is the url for client to fetch token:
curl -X POST https://api.tour24.io/auth/login
-H "clientId: client_id"
-H "x-api-key: x-api-key"
On Success, client receives:
HTTP/1.1 200 OK
Content-Type: application/json
{
"jwt": "eyJ0eXAi...TcV3Q",
"refreshtoken": "6d8cd1d...9f75",
}
On Failure, client receives:
HTTP/1.1 401 UnAuthorized
Content-Type: application/json
{
"Invalid Client/No Client Id found",
}
Following is the url for client to refresh token:
curl -X POST https://api.tour24.io/auth/refresh
-H "clientId: client_id"
-H "x-api-key: x-api-key"
On Success, client receives:
HTTP/1.1 200 OK
Content-Type: application/json
{
"jwt": "eyJ0eXAi...TcV3Q",
"refreshtoken": "6d8cd1d...9f75",
}
On Failure, client receives:
HTTP/1.1 401 UnAuthorized
Content-Type: application/json
{
"Invalid Client/No Client Id found",
}
pagination uses query parameters pagenumber and pagesize. Pagesize is restricted to a max of 50(even if the pagesize is greater than 50 only 50 records will be returned)
Following is the url for client to get guestcard list:
curl -X GET https://api.tour24.io/GuestCard/7b22b077-c445-448a-a849-78ee50d1a1e3/1(pagenumber)/20(pagesize)
-H "Authorization: Bearer access_token"
-H "clientId: client_Id"
-H "x-api-key: x-api-key"
| propertyid required | string <uuid> PropertyId |
| date required | string <date-time> Date |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
[- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]| propertyid required | string <uuid> PropertyId |
| date required | string <date-time> Date |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "date": "2019-08-24T14:15:22Z",
- "availableAppointments": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
], - "timestamp": "2019-08-24T14:15:22Z",
- "type": "string"
}| propertyid required | string <uuid> PropertyId |
| fromDate required | string <date-time> From Date |
| toDate required | string <date-time> To Date |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
[- {
- "date": "2019-08-24T14:15:22Z",
- "available": true
}
]Sample request:
Header : clientId: client_secret
POST api/Auth/Login
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "jwt": "string",
- "refreshToken": "string"
}Sample request:
POST api/Auth/Refresh
{
"refreshToken": ""
}
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
| refreshToken | string or null |
{- "refreshToken": "string"
}{- "jwt": "string",
- "refreshToken": "string"
}| propertyid required | string <uuid> PropertyId |
| pagenumber | integer <int32> PageNumber |
| pagesize | integer <int32> PageSize |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0,
- "totalRecords": 0,
- "data": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "phone": "string",
- "email": "string",
- "moveInDate": "2019-08-24T14:15:22Z",
- "unitType": "string",
- "contactPreference": "string",
- "leaseLength": 0,
- "pets": true,
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "idVerified": true,
- "ccVerified": true
}
], - "succeeded": true,
- "errors": [
- "string"
], - "message": "string"
}| propertyid required | string <uuid> PropertyId |
| guestcarduuid required | string <uuid> GuestCardId |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "phone": "string",
- "email": "string",
- "moveInDate": "2019-08-24T14:15:22Z",
- "unitType": "string",
- "contactPreference": "string",
- "leaseLength": 0,
- "pets": true,
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "idVerified": true,
- "ccVerified": true
}| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
[- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "unitTypes": [
- {
- "id": 0,
- "description": "string",
- "layout": "string",
- "isDeleted": true,
- "pmsUnitId": "string"
}
], - "tour24ToursAvailable": true,
- "virtualToursAvailable": true,
- "cancellationDate": "2019-08-24T14:15:22Z",
- "idVerificationType": "0 - None",
- "defaultForwardedSource": "string",
- "salesforcePropertyId": "string",
- "integrations": {
- "property1": true,
- "property2": true
}, - "slug": "string",
- "name": "string",
- "propertyImage": "string",
- "contactEmail": "string",
- "contactPhone": "string",
- "latitude": 0.1,
- "longitude": 0.1,
- "streetAddress": "string",
- "city": "string",
- "state": "string",
- "zip": "string",
- "companyId": 0,
- "propertyConfiguration": {
- "monday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "tuesday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "wednesday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "thursday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "friday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "saturday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "sunday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}
}, - "petPolicy": "string",
- "requestDesiredLeaseLength": true,
- "requestPetInformation": true,
- "requestCreditCard": true,
- "timeZoneId": "string",
- "leasingUrl": "string",
- "goLiveDate": "2019-08-24T14:15:22Z",
- "startDay": "0 - Sunday",
- "termsLink": "string",
- "mapLink": "string",
- "prospectMessagesSuppressions": "0 - None",
- "sendNoShowMessagesToProperty": true,
- "hideFromSearches": true,
- "tourPageImageURL": "string",
- "propertyIntegrations": [
- {
- "propertyIntegrationId": 0,
- "integrationId": "string",
- "key": "string",
- "value": "string"
}
], - "propertyUnits": [
- {
- "unitId": 0,
- "pMSUnitId": "string",
- "smartRentRemoteUnitId": "string",
- "displayName": "string"
}
], - "enableUnitManagement": true,
- "syncLeaseStatus": true,
- "updateAvailableToTour": true,
- "syncPropertyUnitsAvailability": true,
- "leadForwardingId": 0,
- "unitManagementId": 0,
- "leadForwardingTypes": [
- {
- "id": 0,
- "name": "string"
}
], - "unitManagementTypes": [
- {
- "id": 0,
- "name": "string",
- "beaconUuid": "string"
}
], - "beaconUuid": "string",
- "maxTourScheduleCountsPerDay": 0
}
]| propertyid required | string <uuid> PropertyId |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "unitTypes": [
- {
- "id": 0,
- "description": "string",
- "layout": "string",
- "isDeleted": true,
- "pmsUnitId": "string"
}
], - "tour24ToursAvailable": true,
- "virtualToursAvailable": true,
- "cancellationDate": "2019-08-24T14:15:22Z",
- "idVerificationType": "0 - None",
- "defaultForwardedSource": "string",
- "salesforcePropertyId": "string",
- "integrations": {
- "property1": true,
- "property2": true
}, - "slug": "string",
- "name": "string",
- "propertyImage": "string",
- "contactEmail": "string",
- "contactPhone": "string",
- "latitude": 0.1,
- "longitude": 0.1,
- "streetAddress": "string",
- "city": "string",
- "state": "string",
- "zip": "string",
- "companyId": 0,
- "propertyConfiguration": {
- "monday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "tuesday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "wednesday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "thursday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "friday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "saturday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}, - "sunday": {
- "isTouringEnabledToday": true,
- "maxTourCount": 0,
- "tourLength": 0,
- "tour24": {
- "toursEnabled": true,
- "startTime": "string",
- "endTime": "string",
- "blockedTimeEnabled": true,
- "blockedStartTime": "string",
- "blockedEndTime": "string",
- "propertyHoursOpen": true,
- "propertyHoursEndTime": "string",
- "propertyHoursStartTime": "string"
}, - "postTourDowntime": 0
}
}, - "petPolicy": "string",
- "requestDesiredLeaseLength": true,
- "requestPetInformation": true,
- "requestCreditCard": true,
- "timeZoneId": "string",
- "leasingUrl": "string",
- "goLiveDate": "2019-08-24T14:15:22Z",
- "startDay": "0 - Sunday",
- "termsLink": "string",
- "mapLink": "string",
- "prospectMessagesSuppressions": "0 - None",
- "sendNoShowMessagesToProperty": true,
- "hideFromSearches": true,
- "tourPageImageURL": "string",
- "propertyIntegrations": [
- {
- "propertyIntegrationId": 0,
- "integrationId": "string",
- "key": "string",
- "value": "string"
}
], - "propertyUnits": [
- {
- "unitId": 0,
- "pMSUnitId": "string",
- "smartRentRemoteUnitId": "string",
- "displayName": "string"
}
], - "enableUnitManagement": true,
- "syncLeaseStatus": true,
- "updateAvailableToTour": true,
- "syncPropertyUnitsAvailability": true,
- "leadForwardingId": 0,
- "unitManagementId": 0,
- "leadForwardingTypes": [
- {
- "id": 0,
- "name": "string"
}
], - "unitManagementTypes": [
- {
- "id": 0,
- "name": "string",
- "beaconUuid": "string"
}
], - "beaconUuid": "string",
- "maxTourScheduleCountsPerDay": 0
}| propertyId required | string <uuid> |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
| firstName | string or null |
| lastName | string or null |
string or null | |
| phoneNumber | string or null |
object (ProspectUserPreferenceDto) | |
| source | string or null |
| sourceType | integer <int32> (SourceType) Enum: "0 - None" "1 - Snippet" "2 - Knock" "3 - BetterBot" "4 - Hyly" "5 - Funnel" |
| unitTypeId | integer <int32> |
| sessionId | string or null |
{- "firstName": "string",
- "lastName": "string",
- "email": "string",
- "phoneNumber": "string",
- "preferences": {
- "preferredTourFormat": "0 - SelfGuided",
- "pet": true,
- "desiredMoveInDate": "2019-08-24T14:15:22Z",
- "desiredLeaseLength": 0,
- "additionalResidents": [
- {
- "id": 0,
- "firstName": "string",
- "lastName": "string",
- "phone": "string",
- "email": "string",
- "relationshipType": "0 - Unknown",
- "index": 0
}
]
}, - "source": "string",
- "sourceType": "0 - None",
- "unitTypeId": 0,
- "sessionId": "string"
}{- "id": 0,
- "event": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "utcEvent": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "postTourDowntime": 0
}| propertyid required | string <uuid> |
| guestCardGuid required | string <uuid> |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "id": 0,
- "event": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "utcEvent": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "postTourDowntime": 0
}| guestCardGuid required | string <uuid> |
| propertyid | string <uuid> |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
| startDateTime | string or null |
| endDateTime | string or null |
{- "startDateTime": "string",
- "endDateTime": "string"
}{- "id": 0,
- "event": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "utcEvent": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "postTourDowntime": 0
}| propertyId required | string <uuid> |
| guestCardGuid required | string <uuid> |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "id": 0,
- "event": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "utcEvent": {
- "startDateTime": "string",
- "endDateTime": "string"
}, - "postTourDowntime": 0
}| propertyid required | string <uuid> Property Id |
| pagenumber | integer <int32> Page Number |
| pagesize | integer <int32> Page Size |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0,
- "totalRecords": 0,
- "data": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "start": "2019-08-24T14:15:22Z",
- "end": "2019-08-24T14:15:22Z",
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "status": "0 - Scheduled",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "guestcard": {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "phone": "string",
- "email": "string",
- "moveInDate": "2019-08-24T14:15:22Z",
- "unitType": "string",
- "contactPreference": "string",
- "leaseLength": 0,
- "pets": true,
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "idVerified": true,
- "ccVerified": true
}
}
], - "succeeded": true,
- "errors": [
- "string"
], - "message": "string"
}| propertyid required | string <uuid> Property Id |
| touruuid required | string <uuid> Tour Id |
| clientId required | string Client Identifier |
| x-api-key required | string Api Key |
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "start": "2019-08-24T14:15:22Z",
- "end": "2019-08-24T14:15:22Z",
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "status": "0 - Scheduled",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "guestcard": {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "phone": "string",
- "email": "string",
- "moveInDate": "2019-08-24T14:15:22Z",
- "unitType": "string",
- "contactPreference": "string",
- "leaseLength": 0,
- "pets": true,
- "created": "2019-08-24T14:15:22Z",
- "modified": "2019-08-24T14:15:22Z",
- "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb",
- "idVerified": true,
- "ccVerified": true
}
}